# Uses of Class
org.eclipse.draw2d.SchemeBorder.Scheme

Packages that use SchemeBorder.Scheme
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of SchemeBorder.Scheme in org.eclipse.draw2d

Subclasses of SchemeBorder.Scheme in org.eclipse.draw2d
Modifier and Type
Class
Description
`static class`
`ButtonBorder.ButtonScheme`
Provides for a scheme to represent the borders of clickable figures like buttons.
Fields in org.eclipse.draw2d declared as SchemeBorder.Scheme
Modifier and Type
Field
Description
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`BUTTON_CONTRAST`
Schemes used for shadow and highlight effects
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`BUTTON_PRESSED`
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`BUTTON_RAISED`
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`ETCHED`
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`LOWERED`
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`RAISED`
`static final SchemeBorder.Scheme`
SchemeBorder.SCHEMES.`RIDGED`
`protected SchemeBorder.Scheme`
SchemeBorder.`scheme`
The `SchemeBorder.Scheme` associated with this SchemeBorder
`protected static final SchemeBorder.Scheme`
FrameBorder.`SCHEME_FRAME`
The border scheme that determines the border highlight and shadow colors, as well as the border width (3).
Methods in org.eclipse.draw2d that return SchemeBorder.Scheme
Modifier and Type
Method
Description
`protected SchemeBorder.Scheme`
SchemeBorder.`getScheme()`
Returns the scheme used by this border.
Methods in org.eclipse.draw2d with parameters of type SchemeBorder.Scheme
Modifier and Type
Method
Description
`protected void`
SchemeBorder.`setScheme(SchemeBorder.Scheme scheme)`
Sets the Scheme for this border to the Scheme given as input.
Constructors in org.eclipse.draw2d with parameters of type SchemeBorder.Scheme
Modifier
Constructor
Description
``
`SchemeBorder(SchemeBorder.Scheme scheme)`
Constructs a SchemeBorder with the Scheme given as input.